
TYPO3.Flow - Bug # 32826

Status: Resolved Priority: Must have
Author: Thomas Heilmann Category: Security
Created: 2011-12-23 Assigned To: Karsten Dambekalns
Updated: 2012-07-18 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.1
Subject: Resource PublishingConfiguration is not persisted (missing Doctrine annotation)
Description

The publishingConfiguration property of the Resource does not get persisted. An abstract publishing configuration class should be
used instead of the interface that is used at the moment; and the proper @ORM annotation has to added.

Associated revisions
Revision 9dd8a612 - 2012-07-12 08:53 - Karsten Dambekalns

[BUGFIX] Allow PublishingConfiguration to be persisted

Any resource publishing configuration attached to a resource could
not be persisted, because the needed mapping information for
Doctrine was missing and the target type of the relation was an
interface.

This change adds an AbstractPublishingConfiguration and the needed
annotations, plus a schema migration.

Change-Id: If234cbcc8d118290abab6184958d456a4a1c8380
Fixes: #32826
Releases: 1.0, 1.1, 1.2

Revision 31f25599 - 2012-07-16 12:06 - Karsten Dambekalns

[BUGFIX] Allow PublishingConfiguration to be persisted

Any resource publishing configuration attached to a resource could
not be persisted, because the needed mapping information for
Doctrine was missing and the target type of the relation was an
interface.

This change adds an AbstractPublishingConfiguration and the needed
annotations, plus a schema migration.

Change-Id: If234cbcc8d118290abab6184958d456a4a1c8380
Fixes: #32826
Releases: 1.0, 1.1, 1.2
Revision 1c0a3c41 - 2012-07-16 12:07 - Karsten Dambekalns

[BUGFIX] Allow PublishingConfiguration to be persisted

Any resource publishing configuration attached to a resource could
not be persisted, because the needed mapping information for
Doctrine was missing and the target type of the relation was an
interface.

This change adds an AbstractPublishingConfiguration and the needed
annotations, plus a schema migration.

Change-Id: If234cbcc8d118290abab6184958d456a4a1c8380
Fixes: #32826
Releases: 1.0, 1.1, 1.2

History
#1 - 2012-01-04 21:07 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2012-01-04 21:07 - Karsten Dambekalns
- Category set to Security
- Target version set to 1.0.3
- Has patch set to No

#3 - 2012-03-07 18:52 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4

#4 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#5 - 2012-06-05 21:20 - Karsten Dambekalns
- Target version changed from 1.0.5 to 1.1 RC1

#6 - 2012-06-25 21:49 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12363

#7 - 2012-06-27 15:50 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1

#8 - 2012-07-12 08:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12363
#9 - 2012-07-12 08:53 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12363

#10 - 2012-07-16 12:08 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12816

#11 - 2012-07-16 12:09 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/12817

#12 - 2012-07-16 12:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9dd8a61234837658af6168f49237a9bab0890e85.

#13 - 2012-07-18 11:21 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC2
